#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_SOCKET_H
#include <sys/socket.h>
#endif
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifdef HAVE_NETINET_IN_H
#include <netinet/in.h>
#endif
#ifdef HAVE_ARPA_INET_H
#include <arpa/inet.h>
#endif
#ifdef HAVE_NETDB_H
#include <netdb.h>
#endif
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char ** argv) {
#ifdef HAVE_GETHOSTID  
  printf("gethostid()=%8x\n", gethostid());
  return 0;
#else
  fprintf(stderr, "No gethostid support on this host.\n");
  return EXIT_FAILURE;
#endif  
}
