#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_SOCKET_H
#include <sys/socket.h>
#endif
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifdef HAVE_NETINET_IN_H
#include <netinet/in.h>
#endif
#ifdef HAVE_ARPA_INET_H
#include <arpa/inet.h>
#endif
#ifdef HAVE_NETDB_H
#include <netdb.h>
#endif
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char ** argv) {
   char hostname[500];
   int i;
   struct hostent * h;
   struct in_addr sin;
   
   gethostname(hostname, 500);
   h = gethostbyname(hostname);
   memcpy(&sin.s_addr, h->h_addr_list[0], sizeof(u_long));
   fprintf(stderr, "host %s, ip %s.\n", hostname, inet_ntoa(sin));
#ifdef HAVE_SETHOSTID
   sethostid(sin.s_addr);
#else
   fprintf(stderr, "No sethostid support on this host.\n");
#endif   
#ifdef HAVE_GETHOSTID
   printf("gethostid()=%8x\n", gethostid());
   return 0;
#else
   fprintf(stderr, "No gethostid support on this host.\n");
   return EXIT_FAILURE;
#endif
}
   
