/*
 * Light-weight Reliable Multicast
 *
 * lrm_timers.h - lrm timer events handling.
 * Authors: Yoan Janvier, Gal Roualland.
 * See COPYING file for license information.
 */

#ifndef LRM_TIMERS_H
#define LRM_TIMERS_H

#ifdef __cplusplus
extern "C" {
#endif
  
void lrm_timer_sendack (struct lrm_session *s);
void lrm_timer_resend (struct lrm_session *s);
void lrm_timer_ping (struct lrm_session *s);

#ifdef __cplusplus
}
#endif

#endif
